summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 6becd7d)
raw | patch | inline | side by side (parent: 6becd7d)
author | Junio C Hamano <junkio@cox.net> | |
Wed, 15 Feb 2006 09:05:59 +0000 (01:05 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 15 Feb 2006 09:56:55 +0000 (01:56 -0800) |
This is in the same spirit as an earlier patch for git-commit.
It does an extra ls-files to avoid complaining when a fully
tracked directory name is given on the command line (otherwise
--others restriction would say the pathspec does not match).
Signed-off-by: Junio C Hamano <junkio@cox.net>
It does an extra ls-files to avoid complaining when a fully
tracked directory name is given on the command line (otherwise
--others restriction would say the pathspec does not match).
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-add.sh | patch | blob | history |
diff --git a/git-add.sh b/git-add.sh
index f719b4b1a81a386c9cf62efad811005471be0f8c..13fad820d4758a041222a9285719245f6c8bac18 100755 (executable)
--- a/git-add.sh
+++ b/git-add.sh
shift
done
+# Check misspelled pathspec
+case "$#" in
+0) ;;
+*)
+ git-ls-files --error-unmatch --others --cached -- "$@" >/dev/null || {
+ echo >&2 "Maybe you misspelled it?"
+ exit 1
+ }
+ ;;
+esac
+
if test -f "$GIT_DIR/info/exclude"
then
git-ls-files -z \